# cycler with different colors for the pages
cycler = Utils.cycle "#877DD7","#2DD7AA","#28AFFA","#7DDD11"


# creating the Page Component
page = new PageComponent
	width: 375, height: 667
	point: Align.center
	borderColor: "gray", borderWidth: 1
	scrollVertical: no


# using a loop to add 8 pages
for number in [1..8]
	
	# creating a page
	aPage = new Layer
		width: page.width, height: page.height
		backgroundColor: cycler()
	
	# adding a label
	Utils.labelLayer aPage, "Page " + number
	
	# adding the page to the Page Component
	page.addPage aPage
